"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _react = _interopRequireDefault(require("react"));
var _direction = _interopRequireDefault(require("direction"));
var _direction2 = _interopRequireDefault(require("./proptypes/direction"));
var _DirectionProvider = _interopRequireDefault(require("./DirectionProvider"));
var _withDirection = _interopRequireDefault(require("./withDirection"));
/* eslint-disable react/require-default-props */

var propTypes = {
  children: _propTypes["default"].node.isRequired,
  direction: _direction2["default"].isRequired,
  inline: _propTypes["default"].bool,
  text: _propTypes["default"].string.isRequired,
  lang: _propTypes["default"].string
};
var defaultProps = {
  inline: false
};
function AutoDirectionProvider(_ref) {
  var children = _ref.children,
    direction = _ref.direction,
    inline = _ref.inline,
    text = _ref.text,
    lang = _ref.lang;
  var textDirection = (0, _direction["default"])(text);
  var dir = textDirection === 'neutral' ? direction : textDirection;
  return /*#__PURE__*/_react["default"].createElement(_DirectionProvider["default"], (0, _extends2["default"])({
    direction: dir,
    inline: inline
  }, lang && {
    lang: lang
  }), _react["default"].Children.only(children));
}
AutoDirectionProvider.propTypes = propTypes;
AutoDirectionProvider.defaultProps = defaultProps;
var _default = exports["default"] = (0, _withDirection["default"])(AutoDirectionProvider);